summaryrefslogtreecommitdiffstats
path: root/ci/run_tests.sh
diff options
context:
space:
mode:
Diffstat (limited to 'ci/run_tests.sh')
-rwxr-xr-xci/run_tests.sh25
1 files changed, 25 insertions, 0 deletions
diff --git a/ci/run_tests.sh b/ci/run_tests.sh
new file mode 100755
index 0000000..14f1a11
--- /dev/null
+++ b/ci/run_tests.sh
@@ -0,0 +1,25 @@
+#!/usr/bin/env bash
+
+set -e
+
+# Setup Python runtime
+sudo pip install virtualenv
+virtualenv ./vpy
+source ./vpy/bin/activate
+pip install -e ../
+
+# $1 is the IP to the pod's build server
+# $2 is the IP to the pod's control server
+
+# This operation installs squid on the pod's build server
+ansible-playbook -i ${1}, setup_proxy.yaml
+
+# Get RC file from control server
+filename=$(ssh -o StrictHostKeyChecking=no root@${2} find /var/lib/lxc/controller00_nova_api_placement_container-* -name openrc)
+scp root@${2}:${filename} .
+
+# Execute tests
+python ../snaps/test_runner.py -e openrc -n public -ci -p ${1}:3128
+
+# Cleanup virtual python runtime
+rm -rf ./vpy